﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGValueChangeEventDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        string[] names = "Andrew;Alex;Jen;Steve;Eric;Tom;Kate;Liz;Lisa".Split(';');

        Random r = new Random();
        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 100; i++)
            {
                Data.Add(new SampleData() { ID = i, Name = names[r.Next(names.Length)], Number = r.Next(1000) });
            }        
        }
    }

    public class SampleData : INotifyPropertyChanged
    {
        private int _id;
        public int ID
        {
            get { return _id; }
            set
            {
                _id = value;
                OnPropertyChanged("ID");
            }
        }

        private string _name;
        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }

        private int _num;
        public int Number
        {
            get { return _num; }
            set
            {
                _num = value;
                OnPropertyChanged("Number");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        private void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }

    }
}
